%define ext_guid '{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}'


Name: thunderbird-provider_for_google_calendar
License: MPL
Group: Applications/Internet
Summary: Google Calendar provider for Lightning Extension for Thunderbird
Version: 0.7.1
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/4631
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: provider_for_google_calendar-%{version}-tb.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Obsoletes: thunderbird-add-on-provider_for_google_calendar
Requires:  thunderbird-lightning

%description
Allows bidirectional access to Google Calendar
from Thunderbird Lightning extension.


%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action
  
%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.5.5
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
